<?php
CURSCRIPT != 'wap' && exit('FORBIDDEN');

include MYMPS_ROOT.'/include/MympsVerify.fun.php';

session_start();
$data = read_static_cache('authcodesettings');
$Line = $data['line'] ? $data['line']  : false;
$Noise = $data['noise'] ? $data['noise'] : false;
$Type  = $data['type'];
$Distort = $data['distort'];
$Incline = $data['incline'];
$Close = $data['close'];
$Number = $data['number'];

$_SESSION['chkcode'] = GetMympsVerify($Type,$Noise,$Line,$Distort,$Incline,true,$Close,$Number);
?>